Bug 821687 - Exception occurs whilst running the mortgage samples
Exception occurs whilst running the mortgage samples
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ER8
: BRMS 5.3.0.GA
Assigned To: manstis
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 06:52 EDT by George Varsamis
Modified: 2013-11-07 17:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manstis: needinfo+


Attachments (Terms of Use)
Server Log showing the exception (162.84 KB, text/x-log)
2012-05-23 08:30 EDT, George Varsamis
no flags Details
Repository file (350.81 KB, text/xml)
2012-05-23 16:10 EDT, manstis
no flags Details

  None (edit)
Description George Varsamis 2012-05-15 06:52:28 EDT
Description of problem:
During smoke testing, I have encountered a org.drools.RuntimeDroolsException when running the BRMS mortgage samples Test scenarios.  

Version-Release number of selected component (if applicable):
5.3.0 ER7

How reproducible:
Every single time.

Steps to Reproduce:
1. Perform smoke testing of BRMS 5.3 as described in the guide: https://docspace.corp.redhat.com/docs/DOC-89613
2. The error occurs in section "Check BRMS console and samples" of the guide
3.
  
Actual results:
Exception appears in server.log

Expected results:
There shouldn't be an exception.

Additional info:

I have attached the server.log from the smoke test run that has the exception.

I have noticed that the exception only happens once, the very first time the test is run, subsequent runs fail to produce the exception.
Comment 1 manstis 2012-05-22 09:39:49 EDT
No attachments, but will look at issue anyway...
Comment 2 manstis 2012-05-22 10:44:57 EDT
Followed instructions given, unable to re-produce with community 5.3.x branch.
Comment 3 manstis 2012-05-22 10:48:27 EDT
Please provide more information. Unable to reproduce.
Comment 4 George Varsamis 2012-05-23 08:30:20 EDT
Created attachment 586333 [details]
Server Log showing the exception
Comment 5 Ryan Zhang 2012-05-23 09:43:39 EDT
Yes, I can reproduce the issue.

Steps:
1) import the mortgage-sample-repository.xml
2) Click QA->Test Scenarios in packs->mortgages->run all scenarios

I can spot java.io.InvalidClassException: org.drools.rule.MVELDialectRuntimeData; local class incompatible: stream classdesc serialVersionUID = 8808844570772337501, local class serialVersionUID =5166066541265170937 in server.log. 
Though the mortage samples package could rebuild automatically after the error detected and run it succesfully, it would be better off  avoiding such error.

If I  rebuild all the package first before I do step2, the error won't occur.

I suspect that the mortage-sample-repository.xml in github should be updated after the mvel version updates to mvel2-2.1.0.drools16.
Comment 6 Ryan Zhang 2012-05-23 09:59:32 EDT
CC more people to get more attentions.
cc gdesmet@redhat.com, jliu@redhat.com, trikkola@redhat.com

Hope to pick up  fix to ER8 as more as possible.
Comment 7 manstis 2012-05-23 16:09:12 EDT
OK, exception was not causing QA not to run, but I see your point. New example repository pushed to 5.3.x branch (and attached so you can test before ER8).
Comment 8 manstis 2012-05-23 16:10:07 EDT
Created attachment 586445 [details]
Repository file

Repository file built with mvel2-2.1.0.drools16.
Comment 9 Ryan Zhang 2012-05-25 05:07:57 EDT
Please verify them on ER8.
Comment 10 George Varsamis 2012-05-25 06:24:14 EDT
I have tested the new repository file against ER8 and it works!
Comment 11 Sona Mala 2012-05-28 04:34:50 EDT
I have tested it too. I followed steps in guide and in section "Check BRMS console and samples" no exception occured in server.log.

Note You need to log in before you can comment on or make changes to this bug.